<?php

namespace AppBundle\Repository\Project;

use AppBundle\Entity\Project\Project;

/**
 * ProjectRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ProjectRepository extends \Doctrine\ORM\EntityRepository
{
    private function queryProjects($active)
    {
        $qb = $this->createQueryBuilder('p');

        if($active) {
            $now = new \DateTime();
            $now->setTime(0, 0, 0);
//            $qb->orderBy('p.beginDate', 'DESC')
//                $qb->where("p.beginDate < :now")
//                ->setParameter("now", $now)
//                ->andWhere("p.endDate > :now")
//                ->setParameter("now", $now);
        }
        $qb->orderBy('p.id', 'DESC');

        return $qb;
    }

    public function queryProject()
    {
        $qb = $this->queryProjects(true);
        $qb->setMaxResults(1);
        $res = $qb->getQuery()->getResult();
        if(count($res) > 0)
            return $res['0'];
        return null;
    }
}
